### Method

# Gdk Surfaceget_scale_factor

#### Declaration [src]

    int
    gdk_surface_get_scale_factor (
      GdkSurface* surface
    )

#### Description [src]

Returns the internal scale factor that maps from surface coordinates to the actual device pixels.

On traditional systems this is 1, but on very high density outputs this can be a higher value (often 2). A higher value means that drawing is automatically scaled up to a higher resolution, so any code doing drawing will automatically look nicer. However, if you are supplying pixel-based data the scale value can be used to determine whether to use a pixel resource with higher resolution data.

The scale factor may change during the lifetime of the surface.

Gets property | `Gdk.Surface:scale-factor`

#### Return value

Type: `int`

The scale factor.